# E:/uas2/Server/WinMain.cpp File Reference

`#include <winsock2.h>`
`#include "resource.h"`
`#include <windowsx.h>`
`#include <commctrl.h>`
`#include <tchar.h>`
`#include "VersionNo.h"`
`#include "calc_funcs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "MasterServer.h"`
`#include "WorldManager.h"`
`#include "Status.h"`

## Defines

#define | MYWM_NOTIFYICON (WM_APP+100)
#define | CONSOLE_WIDTH_NORM 218
#define | CONSOLE_WIDTH_OPT 610
#define | CONSOLE_HEIGHT_NORM 535
#define | CONSOLE_HEIGHT_OPT 535

## Functions

int | GetLocalAddress (LPSTR lpStr, LPDWORD lpdwStrLen)
void | UpdateConsole (const char *szBuff)
long | UpdateConsole (char *szBuff, long nErr)
void | UpdateConsole (char *szMessage,...)
void | UpdateHelpTitle (char *szMessage,...)
void | UpdateHelp (char *szMessage,...)
void | SystrayAdd (HWND hWnd)
void | SystrayDelete (HWND hWnd)
int CALLBACK | MainWindowProc (HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
void | LoadAvatarTextureList ()
int WINAPI | WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int iCmdShow)

## Variables

HINSTANCE | g_hInstance
HWND | g_hWndMain
HWND | g_hWndConsole
HWND | g_hWndHelpTitle
HWND | g_hWndHelp
BOOL | g_fStarted
BOOL | g_fConfig
BOOL | g_fClients
short | g_nWorldPort
short | g_nCharPort
char | g_szLocalIP [16]
char | g_szDBIP [16]
char | g_szDBNAME [20]
char | g_szDBUSER [20]
char | g_szDBPASSWORD [20]
int | g_DBType
WORD | g_wAvatarTexturesList [Race][Gender][TexType][TexIndex]
WORD | g_wAvatarTexturesBaldList [Race][Gender][TexIndex]

## Detailed Description

Implements functionality for the application GUI and console.

## Function Documentation

int WINAPI WinMain | ( | HINSTANCE | hInstance,
|  | HINSTANCE | hPrevInstance,
|  | LPSTR | lpCmdLine,
|  | int | iCmdShow |
| ) |  |  |

The entry point of the application.

Parameters:

  | hInstance | - Handle to the current instance of the application.
  | hPrevInstance | - Handle to the previous instance of the application (always NULL).
  | lpCmdLine | - Pointer to a null-terminated string specifying the command line for the application, excluding the program name.
  | iCmdShow | - Specifies how the window is to be shown.